#version 460

#include "/lib/settings.glsl"

out vec4 tintColor;

out vec2 texCoord, lmcoord;

out vec3 normal;

in vec3 vaPosition, vaNormal;
in vec4 vaColor;
in vec2 vaUV0;
uniform mat4 modelViewMatrix, projectionMatrix;
uniform mat3 normalMatrix;
uniform vec3 chunkOffset;

uniform float rainStrength, blindness;
uniform int isEyeInWater;

in vec2 mc_midTexCoord;

out vec2 midTexCoord;

out float linearDepth, fogStrength;

uniform float far, near;

void main() {
	texCoord = vaUV0;

	tintColor = vaColor;

	vec4 position = projectionMatrix * modelViewMatrix * vec4(vaPosition + chunkOffset, 1.0);

	gl_Position = position;

	#include "/lib/vertex_fog.glsl"

	normal = normalize(normalMatrix * vaNormal) * 0.5 + 0.5;
}